[arch-commits] Commit in sysprof/repos/gnome-unstable-x86_64 (PKGBUILD PKGBUILD)

Jan Steffens heftig at archlinux.org
Thu Sep 12 20:57:18 UTC 2019


    Date: Thursday, September 12, 2019 @ 20:57:17
  Author: heftig
Revision: 362343

archrelease: copy trunk to gnome-unstable-x86_64

Added:
  sysprof/repos/gnome-unstable-x86_64/PKGBUILD
    (from rev 362342, sysprof/trunk/PKGBUILD)
Deleted:
  sysprof/repos/gnome-unstable-x86_64/PKGBUILD

----------+
 PKGBUILD |   89 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 46 insertions(+), 43 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-12 20:57:07 UTC (rev 362342)
+++ PKGBUILD	2019-09-12 20:57:17 UTC (rev 362343)
@@ -1,43 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
-# Contributor: Geoffroy Carrier <geoffroy.carrier at aur.archlinux.org>
-# Contributor: Eric Belanger <belanger at astro.umontreal.ca>
-# Contributor: aeolist <aeolist at hotmail.com>
-# Contributor: Gabriel Rauter <rauter.gabriel at gmail.com>
-
-pkgname=sysprof
-pkgver=3.34.0
-pkgrel=1
-pkgdesc="Kernel based performance profiler"
-url="https://wiki.gnome.org/Apps/Sysprof"
-license=(GPL)
-arch=(x86_64)
-depends=(gtk3 polkit libdazzle)
-makedepends=(yelp-tools git meson)
-groups=(gnome-extra)
-_commit=ee32407b28c163ba10778b279c6c13f0cd47214a  # tags/sysprof-3.34.0^0
-source=("git+https://gitlab.gnome.org/GNOME/sysprof.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^sysprof-//;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-}
-
-build() {
-  arch-meson $pkgname build
-  ninja -C build
-}
-
-check() {
-  # Test needs sysprofd at system dbus
-  meson test -C build --print-errorlogs || :
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-}

Copied: sysprof/repos/gnome-unstable-x86_64/PKGBUILD (from rev 362342, sysprof/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-09-12 20:57:17 UTC (rev 362343)
@@ -0,0 +1,46 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Geoffroy Carrier <geoffroy.carrier at aur.archlinux.org>
+# Contributor: Eric Belanger <belanger at astro.umontreal.ca>
+# Contributor: aeolist <aeolist at hotmail.com>
+# Contributor: Gabriel Rauter <rauter.gabriel at gmail.com>
+
+pkgname=sysprof
+pkgver=3.34.0
+pkgrel=2
+pkgdesc="Kernel based performance profiler"
+url="https://wiki.gnome.org/Apps/Sysprof"
+license=(GPL)
+arch=(x86_64)
+depends=(gtk3 polkit libdazzle)
+makedepends=(yelp-tools git meson)
+groups=(gnome-extra)
+_commit=ee32407b28c163ba10778b279c6c13f0cd47214a  # tags/sysprof-3.34.0^0
+source=("git+https://gitlab.gnome.org/GNOME/sysprof.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^sysprof-//;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+}
+
+build() {
+  # Ensure static library is non-LTO compatible
+  CFLAGS+=" -ffat-lto-objects"
+
+  arch-meson $pkgname build
+  ninja -C build
+}
+
+check() {
+  # Test needs sysprofd at system dbus
+  meson test -C build --print-errorlogs || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}


More information about the arch-commits mailing list